Bug 280857 - MusicBrainz selection is permanent
Summary: MusicBrainz selection is permanent
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Metadata Editing and Reading (show other bugs)
Version: 2.4.3
Platform: Gentoo Packages Linux
: NOR major with 20 votes (vote)
Target Milestone: 2.5
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-26 22:31 UTC by aditsu
Modified: 2011-09-26 11:58 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 2.5


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description aditsu 2011-08-26 22:31:09 UTC
Version:           2.4.3 (using KDE 4.7.0) 
OS:                Linux

I used the "Get Tags from MusicBrainz" button to identify a song, I selected one of the results and updated the tags. After that, I realized that it wasn't a correct match, so I clicked that button again, but then I got only one result - the one I selected before.
I went back and cleared all the tags of the song and tried the button again - still only that result. I restarted amarok and tried again - still only that result. I even tried putting some bogus stuff in the tags (a completely different artist and song name) but the result was still the same.
It is as if it PERMANENTLY burned the MusicBrainz identification into that song.

Reproducible: Always

Steps to Reproduce:
See description


Expected Results:  
For the same file name and values of tags it should give the same list of results
Comment 1 Sergey Ivanov 2011-08-28 07:50:33 UTC
I thought I changed this behavior back to regular search, but obviously I didn't. 1 minute. :)
Comment 2 Sergey Ivanov 2011-08-28 08:03:13 UTC
Git commit 0162ab87720c491eb2de55233925304e12a0d5ac by Sergey Ivanov.
Committed on 28/08/2011 at 10:01.
Pushed by ivanov into branch 'master'.

Use regular MusicBrainz search for tracks with MBID.
BUG: 280857
FIXED-IN: 2.5

M  +0    -31   src/musicbrainz/MusicBrainzFinder.cpp
M  +1    -0    ChangeLog
M  +0    -1    src/musicbrainz/MusicBrainzFinder.h

http://commits.kde.org/amarok/0162ab87720c491eb2de55233925304e12a0d5ac
Comment 3 aditsu 2011-08-29 04:16:09 UTC
Songs can have a MusicBrainzID? Can that be cleared?
Also, is 2.5 coming out soon? If not, then can the fix be backported?

Thanks